> ## Documentation Index
> Fetch the complete documentation index at: https://docs.reelevant.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Run a workflow

> Execute the LIVE version of a workflow
for a given entrypoint



## OpenAPI

````yaml https://openapi.production.reelevant.io/v1/render/workflow-api get /workflows/run/{id}/{indexOrId}/{user}
openapi: 3.0.0
info:
  title: workflow-api
  version: 0.0.0
  description: |-
    # Errors
    | Error code | Message | HTTP status code | Payload |
    | :--- | :--- | :--- | :--- |
    | number | string | 404 |  |
servers:
  - url: https://api.reelevant.com/v2/
    description: production
security: []
paths:
  /workflows/run/{id}/{indexOrId}/{user}:
    get:
      tags:
        - Runner
      summary: Run a workflow
      description: |-
        Execute the LIVE version of a workflow
        for a given entrypoint
      operationId: run
      parameters:
        - name: id
          in: path
          schema:
            type: string
            description: Workflow id
            pattern: ^[0-9a-fA-F]{24}$
          required: true
        - name: indexOrId
          in: path
          schema:
            oneOf:
              - type: string
              - type: number
            description: |-
              Entrypoint index in the entrypoint list
              or first part in entrypoint id
            minimum: 0
          required: true
        - name: user
          in: path
          schema:
            type: string
            description: User identifier
          required: true
        - name: mode
          in: query
          schema:
            oneOf:
              - type: string
                enum:
                  - debug
              - type: string
                enum:
                  - loop
              - type: string
                enum:
                  - display
              - type: string
                enum:
                  - click
              - type: string
                enum:
                  - ui-debug
            description: |-
              Edit run mode
              display: display a content
              click: redirect to the content defined URL
          required: false
        - name: no-cache
          in: query
          schema:
            type: boolean
            description: Disable all cache for this execution
          required: false
        - name: engine
          in: query
          schema:
            type: string
            description: Configure to use a specific engine version
          required: false
        - name: dry-run
          in: query
          schema:
            type: boolean
            description: Disable all stats for this execution
          required: false
        - name: rlvt-redirect
          in: query
          schema:
            type: string
            description: Specify redirect url for mode click
          required: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/AnyValue'
        '400':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        type: number
                      code:
                        type: number
                      message:
                        type: string
                      data:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              errors:
                                type: array
                                items:
                                  oneOf:
                                    - $ref: '#/components/schemas/Error'
                                    - $ref: '#/components/schemas/Error'
                            required:
                              - errors
                            additionalProperties: false
                          - $ref: >-
                              #/components/schemas/MissingContentDependencyErrorPayload
                          - type: object
                            properties:
                              alias:
                                type: string
                            required:
                              - alias
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              index:
                                type: number
                            required:
                              - id
                              - index
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              entrypointId:
                                type: string
                            required:
                              - id
                              - entrypointId
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              maxDepth:
                                type: number
                              actualDepth:
                                type: number
                            required:
                              - maxDepth
                              - actualDepth
                            additionalProperties: false
                          - type: object
                            properties:
                              reason:
                                type: string
                            required:
                              - reason
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              templateIds:
                                type: array
                                items:
                                  type: string
                            required:
                              - templateIds
                            additionalProperties: false
                          - type: object
                            properties:
                              templateId:
                                type: string
                            required:
                              - templateId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                              tagValueId:
                                type: string
                            required:
                              - tagKeyId
                              - tagValueId
                            additionalProperties: false
                          - type: object
                            properties:
                              branchId:
                                type: string
                              tagKeyId:
                                type: string
                            required:
                              - branchId
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
        '404':
          description: ''
          content:
            application/json:
              schema:
                allOf:
                  - $ref: '#/components/schemas/InternalResponse_'
                  - type: object
                    properties:
                      status:
                        type: string
                        enum:
                          - fail
                      error_code:
                        type: number
                      code:
                        type: number
                      message:
                        type: string
                      data:
                        oneOf:
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              errors:
                                type: array
                                items:
                                  oneOf:
                                    - $ref: '#/components/schemas/Error'
                                    - $ref: '#/components/schemas/Error'
                            required:
                              - errors
                            additionalProperties: false
                          - $ref: >-
                              #/components/schemas/MissingContentDependencyErrorPayload
                          - type: object
                            properties:
                              alias:
                                type: string
                            required:
                              - alias
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              index:
                                type: number
                            required:
                              - id
                              - index
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                              entrypointId:
                                type: string
                            required:
                              - id
                              - entrypointId
                            additionalProperties: false
                          - type: object
                            properties:
                              id:
                                type: string
                            required:
                              - id
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              maxDepth:
                                type: number
                              actualDepth:
                                type: number
                            required:
                              - maxDepth
                              - actualDepth
                            additionalProperties: false
                          - type: object
                            properties:
                              reason:
                                type: string
                            required:
                              - reason
                            additionalProperties: false
                          - type: object
                            properties:
                              companyId:
                                type: string
                            required:
                              - companyId
                            additionalProperties: false
                          - type: object
                            properties:
                              templateIds:
                                type: array
                                items:
                                  type: string
                            required:
                              - templateIds
                            additionalProperties: false
                          - type: object
                            properties:
                              templateId:
                                type: string
                            required:
                              - templateId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                              tagValueId:
                                type: string
                            required:
                              - tagKeyId
                              - tagValueId
                            additionalProperties: false
                          - type: object
                            properties:
                              branchId:
                                type: string
                              tagKeyId:
                                type: string
                            required:
                              - branchId
                              - tagKeyId
                            additionalProperties: false
                          - type: object
                            properties:
                              tagKeyId:
                                type: string
                            required:
                              - tagKeyId
                            additionalProperties: false
                    required:
                      - status
                      - error_code
                      - code
                      - message
                    additionalProperties: false
      security:
        - password_auth: []
components:
  schemas:
    AnyValue:
      description: Can be any value
      nullable: true
    InternalResponse_:
      type: object
      properties:
        program:
          type: string
        version:
          type: string
        datetime:
          type: string
        status:
          type: string
        code:
          type: number
        message:
          type: string
        data:
          type: object
          properties: {}
          additionalProperties: false
      required:
        - program
        - version
        - datetime
        - status
        - message
        - data
      additionalProperties: false
    Error:
      type: object
      properties:
        path:
          type: string
        message:
          type: string
        payload:
          type: object
          properties: {}
          additionalProperties:
            $ref: '#/components/schemas/AnyValue'
      required:
        - path
        - message
      additionalProperties: false
    MissingContentDependencyErrorPayload:
      type: object
      properties:
        workflows:
          type: array
          items:
            type: object
            properties:
              errors:
                type: array
                items:
                  type: object
                  properties:
                    errors:
                      type: array
                      items:
                        oneOf:
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - datasource
                                  id:
                                    type: string
                                  group:
                                    type: object
                                    properties:
                                      by:
                                        type: string
                                      mode:
                                        oneOf:
                                          - type: string
                                            enum:
                                              - aggregated
                                          - type: string
                                            enum:
                                              - onePerValue
                                          - type: string
                                            enum:
                                              - topValueOnly
                                          - type: string
                                            enum:
                                              - oneValueOnly
                                    required:
                                      - by
                                      - mode
                                    additionalProperties: false
                                required:
                                  - type
                                  - id
                                additionalProperties: false
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    type: string
                                    enum:
                                      - url-parameter
                                  name:
                                    type: string
                                  subtype:
                                    type: string
                                required:
                                  - type
                                  - name
                                  - subtype
                                additionalProperties: false
                          - allOf:
                              - type: object
                                properties:
                                  dependencyId:
                                    type: string
                                required:
                                  - dependencyId
                                additionalProperties: false
                              - type: object
                                properties:
                                  type:
                                    oneOf:
                                      - type: string
                                        enum:
                                          - weather
                                      - type: string
                                        enum:
                                          - context
                                      - type: string
                                        enum:
                                          - geolocation
                                      - type: string
                                        enum:
                                          - live-polling
                                required:
                                  - type
                                additionalProperties: false
                    contentId:
                      type: string
                    contentIndex:
                      type: number
                  required:
                    - errors
                    - contentId
                    - contentIndex
                  additionalProperties: false
              id:
                type: string
              nodeId:
                type: string
            required:
              - errors
              - id
              - nodeId
            additionalProperties: false
      required:
        - workflows
      additionalProperties: false
  securitySchemes:
    password_auth:
      type: oauth2
      flows:
        password:
          tokenUrl: https://api.reelevant.com/v1/auth/token
          refreshUrl: https://api.reelevant.com/v1/auth/token
          scopes: {}

````